Subject: Re: [PATCH v7 0/9] fix fwnode_irq_get[_byname()] returnvalue

From: Greg Kroah-Hartman <[email-masked]>
Date: Thu, 15 Jun 2023 13:37:17 +0200

On Tue, May 30, 2023 at 11:34:38PM -0700, Jakub Kicinski wrote:
> On Mon, 29 May 2023 09:22:15 +0300 Matti Vaittinen wrote:
> > The fwnode_irq_get() and the fwnode_irq_get_byname() may have returned
> > zero if mapping the IRQ fails. This contradicts the
> > fwnode_irq_get_byname() documentation. Furthermore, returning zero or
> > errno on error is unepected and can easily lead to problems
> > like.
> 
> What's the merging plan? Could patch 1 go to a stable branch 
> and then driver trees can pull it in and apply their respective 
> patches locally?

I'll take patch 1 now, and then after 6.5-rc1, Matti, can you send the
cleanup patches to the respective subsystems?

thanks,

greg k-h